<template>
    <v-row class="row-infos">
        <v-col cols="4" class="label-fiche-client" >{{label}}</v-col>
        <v-col class="col-input-fiche-client" cols="8">
            <v-text-field class="input-fiche-client" hide-details solo flat dense
                          v-model="inputVal"></v-text-field>
        </v-col>
    </v-row>
</template>

<script>
    export default {
        name: "row_fiche_client",
        props: ["value", "label"],
        computed: {
            inputVal: {
                get() {
                    return this.value;
                },
                set(val) {
                    this.$emit('input', val);
                }
            }
        }
    }
</script>

<style scoped>
    .row-infos {
        margin-left: 0;
        margin-right: 0;
        margin-top: 8px;
    }

    .label-fiche-client {
        font-weight: bold;
        margin-top: 8px;
        text-align: left;
        padding: 0;
    }

    .input-fiche-client {
        border: green solid 2px;
        text-transform: capitalize;
        text-align: left;
    }
    .col-input-fiche-client {
        padding: 0;
    }
</style>